* {
    margin: 0;
    padding: 0;
    }


body {
    background: #f9f9f9;
    /*font-family: Helvetica,sans-serif,Arial;*/
    font-family: Fixed, monospace;
    font-variant: small-caps;
    font-weight: 500;
    font-size: 18px;
    }

td {
    position: relative;
    }

meter {
    display: block;
    min-width: 170px;
    height: 25px;
    }    

meter::-webkit-meter-bar {
    background: none;
    border: 1px solid #ccc;
    border-radius: 3px;
    height: 23px;
    }

meter::-webkit-meter-optimum-value {
    background-image: linear-gradient(90deg,#dedede 90%,#fbb 100%);
    background-size: 100% 100%;
    }
    
meter::-webkit-meter-suboptimum-value {
    background-image: linear-gradient(90deg,#ffdede 0%,#f55 30%);
    background-size: 100% 100%;
    }

#msgback {
    position: fixed;
    top: 0;
    left:0;
    width: 100%;
    height: 100%;
    background-color: black;
    opacity: 0.0;
    z-index: 9;
    }

#msg {
    position: absolute;
    min-width: 250px;
    max-width: 500px;
    min-height: 130px;
    background-color: #f5f5f5;
    color: black;
    border: 2px solid silver;
    padding: 10px 10px 5px 10px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -o-border-radius: 5px;
    -ms-border-radius: 5px;
    -khtml-border-radius: 5px;
    overflow: hidden;
    visibility: hidden;
    z-index: 10;
    }
    
.tbl {
     border-top: 1px solid silver;
     border-left: 1px solid silver;
    }

.tbl td {
    padding: 1px 5px;
    border-bottom: 1px solid silver;
    border-right: 1px solid silver;
    }
    
.editable {
    cursor: default;
    background: none;
    }
    
.editable:hover {
    background-color: #f0f0f0;
    }

.metertext {
    display: block;
    position: absolute;
    font-size: 12px;
    top: calc(100% / 2 - 7px);
    left: 5px;
    }



.infoblock {
    border: 1px solid #ccc;
    border-radius: 3px;
    }
    
.realtimeModule {
    display: inline-block;
    position: relative;
    vertical-align: top;
    margin: 2px;
    }
    
.interactiveModule {
    display: inline-block;
    position: relative;
    vertical-align: top;
    margin: 2px;
    }
    
.staticModule {
    display: inline-block;
    position: relative;
    vertical-align: top;
    margin: 2px;
    }
    

    
.returnbtn {
    display: block;
    position: fixed;
    top: 1px;
    right: 1px;
    width: 32px;
    height: 32px;
    background-image: url(/img/return.png);
    cursor: pointer;
    overflow: hidden;
    z-index: 10;
    }

.btn {
    display: block;
    position: absolute;
    text-decoration: none;
    outline: none;
    font-size: 14px;
    font-family: Tahoma;
    font-weight: normal;
    min-height: 15px;
    margin: 5px;
    padding: 4px 15px;
    color: #444444;
    background-color: #f8f8f8;
    border: 1px solid: #f7f7f7;
    border-bottom: 1px solid #cccccc;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -o-border-radius: 15px;
    -ms-border-radius: 15px;
    -khtml-border-radius: 15px;
    box-shadow: 0 1px 3px -1px #bbbbbb;
    -webkit-box-shadow: 0 1px 3px -1px #bbbbbb;
    -moz-box-shadow: 0 1px 3px -1px #bbbbbb;
    -o-box-shadow: 0 1px 3px -1px #bbbbbb;
    -ms-box-shadow: 0 1px 3px -1px #bbbbbb;
    -khtml-box-shadow: 0 1px 3px -1px #bbbbbb;
    overflow: hidden;
    behavior: url(ie-css3.htc);
    }
    
    
.btn:hover {
    color: black;
    padding: 3px 15px 5px 15px;
    background-color: #f3f3f3;
    box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -webkit-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -moz-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -o-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -ms-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -khtml-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    }


.btnedit {
    display: block;
    position: relative;
    text-decoration: none;
    outline: none;
    height: 24px;
    width: 24px;
    color: #444444;
    padding-up: 1px;
    background: #f8f8f8 url(/img/edit-icon.png) no-repeat center center;
    border: 1px solid: #f7f7f7;
    border-bottom: 1px solid #cccccc;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -o-border-radius: 15px;
    -ms-border-radius: 15px;
    -khtml-border-radius: 15px;
    box-shadow: 0 1px 3px -1px #bbbbbb;
    -webkit-box-shadow: 0 1px 3px -1px #bbbbbb;
    -moz-box-shadow: 0 1px 3px -1px #bbbbbb;
    -o-box-shadow: 0 1px 3px -1px #bbbbbb;
    -ms-box-shadow: 0 1px 3px -1px #bbbbbb;
    -khtml-box-shadow: 0 1px 3px -1px #bbbbbb;
    overflow: hidden;
    behavior: url(ie-css3.htc);
}

.btnedit:hover {
    color: black;
    padding-up: 0px;
    background-color: #f3f3f3;
    box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -webkit-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -moz-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -o-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -ms-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    -khtml-box-shadow: inset 0 1px 3px -1px #bbbbbb;
    }
